Bug 195768 - [NEW PORT] devel/renpy: Visual Novel Engine written in Python
Summary: [NEW PORT] devel/renpy: Visual Novel Engine written in Python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks: 195769 195975
  Show dependency treegraph
 
Reported: 2014-12-07 06:23 UTC by Jan Beich
Modified: 2015-02-03 18:48 UTC (History)
0 users

See Also:


Attachments
shar, v0 (2.92 KB, text/plain)
2014-12-07 06:23 UTC, Jan Beich
no flags Details
|poudriere testport| log (10.0R amd64) (45.78 KB, text/plain)
2014-12-07 06:24 UTC, Jan Beich
no flags Details
shar, v0.1 (2.92 KB, text/plain)
2014-12-07 21:01 UTC, Jan Beich
no flags Details
|poudriere testport| log (10.1R i386) (45.18 KB, text/plain)
2014-12-07 21:01 UTC, Jan Beich
no flags Details
|poudriere testport -P| log (8.4R amd64) (49.50 KB, text/plain)
2014-12-15 05:42 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-12-07 06:23:54 UTC
Created attachment 150296 [details]
shar, v0

Ren'Py is a visual novel engine that helps you use words, images, and
sounds to tell stories with the computer. These can be both visual
novels and life simulation games. The easy to learn script language
allows you to efficiently write large visual novels, while its Python
scripting is enough for complex simulation games.

WWW: http://www.renpy.org/

CATEGORIES mimic devel/love with consumers under games/.
Comment 1 Jan Beich freebsd_committer 2014-12-07 06:24:45 UTC
Created attachment 150297 [details]
|poudriere testport| log (10.0R amd64)
Comment 2 Jan Beich freebsd_committer 2014-12-07 07:09:17 UTC
renpy probably doesn't support being used as a generic python module. Here's what happens if *.py files are installed under PYTHON_SITELIBDIR. Thus the port doesn't have py- prefix compared to py-game.

$ renpy
Exception('Module _errorhandling could not be loaded.',)

Full traceback:
  File "/usr/local/lib/python2.7/site-packages/renpy/bootstrap.py", line 289, in bootstrap
    renpy.main.main()
  File "/usr/local/lib/python2.7/site-packages/renpy/main.py", line 244, in main
    renpy.exports.load_module("_errorhandling")
  File "/usr/local/lib/python2.7/site-packages/renpy/exports.py", line 1992, in load_module
    initcode = renpy.game.script.load_module(name)
  File "/usr/local/lib/python2.7/site-packages/renpy/script.py", line 197, in load_module
    raise Exception("Module %s could not be loaded." % name)
Exception: Module _errorhandling could not be loaded.

While loading the script.
Exception: Module _errorhandling could not be loaded.
Traceback (most recent call last):
  File "/usr/local/lib/python2.7/site-packages/renpy/editor.py", line 92, in open
    subprocess.call([ "xdg-open", filename ]) #@UndefinedVariable
  File "/usr/local/lib/python2.7/subprocess.py", line 522, in call
    return Popen(*popenargs, **kwargs).wait()
  File "/usr/local/lib/python2.7/subprocess.py", line 710, in __init__
    errread, errwrite)
  File "/usr/local/lib/python2.7/subprocess.py", line 1327, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
Comment 3 Jan Beich freebsd_committer 2014-12-07 21:01:24 UTC
Created attachment 150321 [details]
shar, v0.1

- add GENTOO mirror
- sort LICENSEs
- drop unused lang/python2 dependency
- improve consistency by not using ${PORTNAME}.py
Comment 4 Jan Beich freebsd_committer 2014-12-07 21:01:53 UTC
Created attachment 150322 [details]
|poudriere testport| log (10.1R i386)
Comment 5 Jan Beich freebsd_committer 2014-12-07 21:19:17 UTC
$ portlint -A
WARN: Makefile: [30]: possible direct use of command "python" found. use ${PYTHON_CMD} instead.
WARN: Makefile: [51]: possible use of "${CHMOD}" found. Use @(owner,group,mode) syntax or @owner/@group operators in pkg-plist instead.
WARN: Makefile: possible use of absolute pathname "/usr/bin/env".
0 fatal errors and 3 warnings found.

Those are false positives:
- portlint(1) always complains about shebangfix
- @mode cannot be used for PORTDATA except maybe via PLIST_FILES
Comment 6 Jan Beich freebsd_committer 2014-12-15 05:42:58 UTC
Created attachment 150596 [details]
|poudriere testport -P| log (8.4R amd64)
Comment 7 Jan Beich freebsd_committer 2015-01-22 08:32:41 UTC
https://reviews.freebsd.org/D1577
Comment 8 commit-hook freebsd_committer 2015-02-03 18:43:22 UTC
A commit references this bug:

Author: jbeich
Date: Tue Feb  3 18:43:07 UTC 2015
New revision: 378363
URL: https://svnweb.freebsd.org/changeset/ports/378363

Log:
  Add new port devel/renpy

  PR:		195768
  Differential Revision:	https://reviews.freebsd.org/D1577
  Reviewed by:	games (amdmi3, earlier version)
  Approved by:	flo (mentor, earlier version)
  Approved by:	bapt (mentor)

  Ren'Py is a visual novel engine that helps you use words, images, and
  sounds to tell stories with the computer. These can be both visual
  novels and life simulation games. The easy to learn script language
  allows you to efficiently write large visual novels, while its Python
  scripting is enough for complex simulation games.

  WWW: http://www.renpy.org/

Changes:
  head/devel/Makefile
  head/devel/renpy/
  head/devel/renpy/Makefile
  head/devel/renpy/distinfo
  head/devel/renpy/pkg-descr